package domain;

import java.util.*;

public class Deck {
   public static final int SIZE = 52;
   private Set<Card> cards = new HashSet<Card>();

   public Deck() {
      for (Suit suit: Suit.values())
         for (Rank rank: Rank.values())
            cards.add(new Card(rank, suit));
   }

   public int cardsRemaining() {
      return SIZE;
   }
   
   public boolean contains(Rank rank, Suit suit) {
      return cards.contains(new Card(rank, suit));
   }
}
